> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Midjourney Seed 查询 API 文档

> 通过 Midjourney Seed 查询接口获取已生成图片的 seed 参数，适合结果复现、提示词调优和稳定出图流程。



## OpenAPI

````yaml openapi/cn/midjourney.json POST /midjourney/v1/seed
openapi: 3.1.0
info:
  title: TTAPI API DOCS
  version: 1.0.0
  description: Midjourney 图片生成相关接口
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /midjourney/v1/seed:
    post:
      description: >-
        从 Midjourney 图像中获取种子，了解具体用法请参阅<a href='https://docs.midjourney.com/'
        target='_blank'> Midjourney文档 </a>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SeedRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    SeedRequest:
      type: object
      properties:
        jobId:
          type: string
          description: 上一步请求返回的jobId
        timeout:
          type: integer
          example: '300'
          description: 任务超时时间，单位：秒，范围 300 - 1200。fast与turbo模式下默认最小值为300，relax模式下默认最小值为600。
        hookUrl:
          type: string
          description: 回调通知地址
      required:
        - jobId
  responses:
    SuccessResponse:
      description: 请求成功
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
            required:
              - status
              - message
              - data
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````